# SpeciesFormChangeMoveTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangeMoveTrigger`Abstract`

#### Hierarchy (view full)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeMoveTrigger
    - SpeciesFormChangePreMoveTrigger
    - SpeciesFormChangePostMoveTrigger

- Defined in src/data/pokemon-forms.ts:319

#####
Index

### Constructors

constructor

### Properties

movePredicate
used

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeMoveTrigger(move, used?): SpeciesFormChangeMoveTrigger

- #### Parameters

  - move: Moves | ((m) => boolean)
  - used: boolean = true

  #### Returns SpeciesFormChangeMoveTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:323

## Properties

### movePredicate

movePredicate: ((m) => boolean)

#### Type declaration

- - (m): boolean

  - #### Parameters

    - m: Moves

    #### Returns boolean

- Defined in src/data/pokemon-forms.ts:320

### used

used: boolean

- Defined in src/data/pokemon-forms.ts:321

## Methods

### canChange

- canChange(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:208

### hasTriggerType

- hasTriggerType(triggerType): boolean

- #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:212